Bug 238548 - kobject_add failed for vcs1 with -EEXIST,
kobject_add failed for vcs1 with -EEXIST,
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks: 427887
  Show dependency treegraph
 
Reported: 2007-05-01 07:09 EDT by Neal Becker
Modified: 2008-02-07 23:29 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-07 23:29:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Neal Becker 2007-05-01 07:09:39 EDT
Description of problem:

May  1 05:21:16 localhost kernel: kobject_add failed for vcs1 with -EEXIST, 
don't try to register things with the same name in the same directory.
May  1 05:21:16 localhost kernel: 
May  1 05:21:16 localhost kernel: Call Trace:
May  1 05:21:16 localhost kernel:  [<ffffffff8033e85f>] 
kobject_add+0x16d/0x198
May  1 05:21:16 localhost kernel:  [<ffffffff803a7dbb>] device_add+0x9a/0x557
May  1 05:21:16 localhost kernel:  [<ffffffff80465736>] klist_init+0x2d/0x3b
May  1 05:21:16 localhost kernel:  [<ffffffff803a834a>] 
device_create+0xc0/0xef
May  1 05:21:16 localhost kernel:  [<ffffffff8022d95d>] __wake_up+0x38/0x4f
May  1 05:21:16 localhost kernel:  [<ffffffff8038f1e3>] 
vcs_make_sysfs+0x2b/0x57
May  1 05:21:16 localhost kernel:  [<ffffffff803945f6>] con_open+0x7c/0x8b
May  1 05:21:16 localhost kernel:  [<ffffffff8038c84b>] tty_open+0x1a0/0x315
May  1 05:21:16 localhost kernel:  [<ffffffff8024659d>] 
chrdev_open+0x149/0x198
May  1 05:21:16 localhost kernel:  [<ffffffff80246454>] chrdev_open+0x0/0x198
May  1 05:21:16 localhost kernel:  [<ffffffff8021e3c5>] 
__dentry_open+0xd9/0x1aa
May  1 05:21:16 localhost kernel:  [<ffffffff802273b0>] do_filp_open+0x2a/0x38
May  1 05:21:16 localhost kernel:  [<ffffffff80215a30>] 
get_unused_fd+0xf9/0x107
May  1 05:21:16 localhost kernel:  [<ffffffff802196e1>] do_sys_open+0x44/0xc1
May  1 05:21:16 localhost kernel:  [<ffffffff8025a29c>] tracesys+0xdc/0xe1
May  1 05:21:16 localhost kernel: 
Version-Release number of selected component (if applicable):

2.6.20-1.2944.fc6

How reproducible:

Don't know

Steps to Reproduce:
1. Attempt to logout of kde?
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Ronald Warsow 2007-05-04 12:23:12 EDT
same here today, but:
- 2.6.20-1.2948.fc6, hadn't seen it with 2944
- logout from gnome 
- and twice: one per core ?
Comment 2 Michal Jaegermann 2007-05-07 17:45:43 EDT
I got that on i386 with 2.6.20-1.2948.fc6 after typing 'reboot' in
a gnome-terminal window.  This is how a corresponding log fragment
looks:

NetworkManager: <WARNING>  nm_signal_handler (): Caught signal 15, shutting down
normally.
NetworkManager: <information>     Caught terminiation signal
NetworkManager: <information>     Deactivating device eth0.
kernel: kobject_add failed for vcs1 with -EEXIST, don't try to register things
with the same name in the same directory.
kernel:  [<c04e96d3>] kobject_add+0x165/0x18e
kernel:  [<c04e988d>] kobject_set_name+0x2b/0x92
kernel:  [<c0556f9f>] device_add+0x8b/0x49c
kernel:  [<c04378e6>] init_waitqueue_head+0x12/0x20
kernel:  [<c055743a>] device_create+0x7a/0x9a
kernel:  [<c053cde0>] vcs_make_sysfs+0x34/0x6e
kernel:  [<c0541c17>] con_open+0x6f/0x7c
kernel:  [<c05386d0>] tty_open+0x175/0x2b4
kernel:  [<c0474714>] chrdev_open+0xf7/0x12b
kernel:  [<c047461d>] chrdev_open+0x0/0x12b
kernel:  [<c0470e34>] __dentry_open+0xc3/0x17a
kernel:  [<c0470f65>] nameidata_to_filp+0x24/0x33
kernel:  [<c0470fa6>] do_filp_open+0x32/0x39
kernel:  [<c0464e28>] do_mmap_pgoff+0x58a/0x6ee
kernel:  [<c0470d67>] get_unused_fd+0xb3/0xbd
kernel:  [<c0470fef>] do_sys_open+0x42/0xbe
kernel:  [<c04710a4>] sys_open+0x1c/0x1e
kernel:  [<c0403f64>] syscall_call+0x7/0xb
kernel:  =======================
kernel: kobject_add failed for vcsa1 with -EEXIST, don't try to register things
with the same name in the same directory.
kernel:  [<c04e96d3>] kobject_add+0x165/0x18e
kernel:  [<c04e988d>] kobject_set_name+0x2b/0x92
kernel:  [<c0556f9f>] device_add+0x8b/0x49c
kernel:  [<c04378e6>] init_waitqueue_head+0x12/0x20
kernel:  [<c055743a>] device_create+0x7a/0x9a
kernel:  [<c053ce15>] vcs_make_sysfs+0x69/0x6e
kernel:  [<c0541c17>] con_open+0x6f/0x7c
kernel:  [<c05386d0>] tty_open+0x175/0x2b4
kernel:  [<c0474714>] chrdev_open+0xf7/0x12b
kernel:  [<c047461d>] chrdev_open+0x0/0x12b
kernel:  [<c0470e34>] __dentry_open+0xc3/0x17a
kernel:  [<c0470f65>] nameidata_to_filp+0x24/0x33
kernel:  [<c0470fa6>] do_filp_open+0x32/0x39
kernel:  [<c0464e28>] do_mmap_pgoff+0x58a/0x6ee
kernel:  [<c0470d67>] get_unused_fd+0xb3/0xbd
kernel:  [<c0470fef>] do_sys_open+0x42/0xbe
kernel:  [<c04710a4>] sys_open+0x1c/0x1e
kernel:  [<c0403f64>] syscall_call+0x7/0xb
kernel:  =======================
gpm[2136]: *** info [mice.c(1766)]:

After that a reboot continued.
Comment 3 Jon Stanley 2008-01-07 20:56:10 EST
(This is a mass-update to all current FC6 kernel bugs in NEW state)

Hello,

I'm reviewing this bug list as part of the kernel bug triage project, an attempt
to isolate current bugs in the Fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug, however this version of Fedora is no longer
maintained.

Please attempt to reproduce this bug with a current version of Fedora (presently
Fedora 8). If the bug no longer exists, please close the bug or I'll do so in a
few days if there is no further information lodged.

Thanks for using Fedora!
Comment 4 Jon Stanley 2008-02-07 23:29:23 EST
Per the previous comment in this bug, I am closing it as INSUFFICIENT_DATA,
since no information has been lodged for over 30 days.

Please re-open this bug or file a new one if you can provide the requested data,
and thanks for filing the original report!

Note You need to log in before you can comment on or make changes to this bug.